/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3) 
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details. 
 */

package org.dive4elements.seddb.model;
// Generated 14.06.2012 11:30:57 by Hibernate Tools 3.4.0.CR1


import java.math.BigDecimal;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * Messung generated by hbm2java
 */
@Entity
@Table(name="MESSUNG"
    ,schema="SEDDB"
)
public class Messung  implements java.io.Serializable {

     private long messungid;
     private Station station;
     private Gsiebsatz gsiebsatz;
     private Gfaenger gfaenger;
     private Hpeilung hpeilung;
     private Date datum;
     private Long mpeilungid;
     private int messnr;
     private String fgue;
     private Date uhrvon;
     private Date uhrbis;
     private BigDecimal wspcm;
     private BigDecimal QBpegel;
     private BigDecimal wspnn;
     private BigDecimal ie;
     private BigDecimal wtemp;
     private BigDecimal gbreite;
     private BigDecimal gbreitevon;
     private BigDecimal gbreitebis;
     private BigDecimal tgeschiebe;
     private BigDecimal tsand;
     private BigDecimal tschweb;
     private BigDecimal cschweb;
     private BigDecimal uferliabst;
     private BigDecimal uferreabst;
     private BigDecimal q;
     private BigDecimal AHpeil;
     private BigDecimal AMpeil;
     private BigDecimal b;
     private BigDecimal hm;
     private BigDecimal vm;
     private BigDecimal vsohle;
     private BigDecimal tau;
     private BigDecimal tauv;
     private BigDecimal teilQ;
     private BigDecimal teilAHpeil;
     private BigDecimal teilAMpeil;
     private BigDecimal teilB;
     private BigDecimal teilHm;
     private BigDecimal teilVm;
     private BigDecimal teilVsohle;
     private BigDecimal teilTau;
     private BigDecimal teilTauv;
     private Boolean mitteltyp;
     private BigDecimal dm;
     private BigDecimal sk;
     private BigDecimal so;
     private BigDecimal u;
     private BigDecimal d90;
     private BigDecimal d84;
     private BigDecimal d80;
     private BigDecimal d75;
     private BigDecimal d70;
     private BigDecimal d60;
     private BigDecimal d50;
     private BigDecimal d40;
     private BigDecimal d30;
     private BigDecimal d25;
     private BigDecimal d20;
     private BigDecimal d16;
     private BigDecimal d10;
     private BigDecimal dmin;
     private BigDecimal durchdmin;
     private BigDecimal dmax;
     private BigDecimal durchdmax;
     private int NGeschieb;
     private int NVielpkt;
     private Date sysDate;
     private String bemerkung;
     private Date lastupdated;
     private BigDecimal km;
     private BigDecimal glotabstoffset;
     private BigDecimal slotabstoffset;
     private BigDecimal gbreitevonlinks;
     private BigDecimal gbreitebislinks;
     private Boolean glotuferabstistvonlinks;
     private Boolean slotuferabstistvonlinks;
     private Set<Glotrechte> glotrechtes = new HashSet<Glotrechte>(0);
     private Set<Slotrechte> slotrechtes = new HashSet<Slotrechte>(0);

    public Messung() {
    }


    public Messung(long messungid, Station station, Date datum, int messnr, int NGeschieb, int NVielpkt, Date lastupdated, BigDecimal glotabstoffset, BigDecimal slotabstoffset) {
        this.messungid = messungid;
        this.station = station;
        this.datum = datum;
        this.messnr = messnr;
        this.NGeschieb = NGeschieb;
        this.NVielpkt = NVielpkt;
        this.lastupdated = lastupdated;
        this.glotabstoffset = glotabstoffset;
        this.slotabstoffset = slotabstoffset;
    }
    public Messung(long messungid, Station station, Gsiebsatz gsiebsatz, Gfaenger gfaenger, Hpeilung hpeilung, Date datum, Long mpeilungid, int messnr, String fgue, Date uhrvon, Date uhrbis, BigDecimal wspcm, BigDecimal QBpegel, BigDecimal wspnn, BigDecimal ie, BigDecimal wtemp, BigDecimal gbreite, BigDecimal gbreitevon, BigDecimal gbreitebis, BigDecimal tgeschiebe, BigDecimal tsand, BigDecimal tschweb, BigDecimal cschweb, BigDecimal uferliabst, BigDecimal uferreabst, BigDecimal q, BigDecimal AHpeil, BigDecimal AMpeil, BigDecimal b, BigDecimal hm, BigDecimal vm, BigDecimal vsohle, BigDecimal tau, BigDecimal tauv, BigDecimal teilQ, BigDecimal teilAHpeil, BigDecimal teilAMpeil, BigDecimal teilB, BigDecimal teilHm, BigDecimal teilVm, BigDecimal teilVsohle, BigDecimal teilTau, BigDecimal teilTauv, Boolean mitteltyp, BigDecimal dm, BigDecimal sk, BigDecimal so, BigDecimal u, BigDecimal d90, BigDecimal d84, BigDecimal d80, BigDecimal d75, BigDecimal d70, BigDecimal d60, BigDecimal d50, BigDecimal d40, BigDecimal d30, BigDecimal d25, BigDecimal d20, BigDecimal d16, BigDecimal d10, BigDecimal dmin, BigDecimal durchdmin, BigDecimal dmax, BigDecimal durchdmax, int NGeschieb, int NVielpkt, Date sysDate, String bemerkung, Date lastupdated, BigDecimal km, BigDecimal glotabstoffset, BigDecimal slotabstoffset, BigDecimal gbreitevonlinks, BigDecimal gbreitebislinks, Boolean glotuferabstistvonlinks, Boolean slotuferabstistvonlinks, Set<Glotrechte> glotrechtes, Set<Slotrechte> slotrechtes) {
       this.messungid = messungid;
       this.station = station;
       this.gsiebsatz = gsiebsatz;
       this.gfaenger = gfaenger;
       this.hpeilung = hpeilung;
       this.datum = datum;
       this.mpeilungid = mpeilungid;
       this.messnr = messnr;
       this.fgue = fgue;
       this.uhrvon = uhrvon;
       this.uhrbis = uhrbis;
       this.wspcm = wspcm;
       this.QBpegel = QBpegel;
       this.wspnn = wspnn;
       this.ie = ie;
       this.wtemp = wtemp;
       this.gbreite = gbreite;
       this.gbreitevon = gbreitevon;
       this.gbreitebis = gbreitebis;
       this.tgeschiebe = tgeschiebe;
       this.tsand = tsand;
       this.tschweb = tschweb;
       this.cschweb = cschweb;
       this.uferliabst = uferliabst;
       this.uferreabst = uferreabst;
       this.q = q;
       this.AHpeil = AHpeil;
       this.AMpeil = AMpeil;
       this.b = b;
       this.hm = hm;
       this.vm = vm;
       this.vsohle = vsohle;
       this.tau = tau;
       this.tauv = tauv;
       this.teilQ = teilQ;
       this.teilAHpeil = teilAHpeil;
       this.teilAMpeil = teilAMpeil;
       this.teilB = teilB;
       this.teilHm = teilHm;
       this.teilVm = teilVm;
       this.teilVsohle = teilVsohle;
       this.teilTau = teilTau;
       this.teilTauv = teilTauv;
       this.mitteltyp = mitteltyp;
       this.dm = dm;
       this.sk = sk;
       this.so = so;
       this.u = u;
       this.d90 = d90;
       this.d84 = d84;
       this.d80 = d80;
       this.d75 = d75;
       this.d70 = d70;
       this.d60 = d60;
       this.d50 = d50;
       this.d40 = d40;
       this.d30 = d30;
       this.d25 = d25;
       this.d20 = d20;
       this.d16 = d16;
       this.d10 = d10;
       this.dmin = dmin;
       this.durchdmin = durchdmin;
       this.dmax = dmax;
       this.durchdmax = durchdmax;
       this.NGeschieb = NGeschieb;
       this.NVielpkt = NVielpkt;
       this.sysDate = sysDate;
       this.bemerkung = bemerkung;
       this.lastupdated = lastupdated;
       this.km = km;
       this.glotabstoffset = glotabstoffset;
       this.slotabstoffset = slotabstoffset;
       this.gbreitevonlinks = gbreitevonlinks;
       this.gbreitebislinks = gbreitebislinks;
       this.glotuferabstistvonlinks = glotuferabstistvonlinks;
       this.slotuferabstistvonlinks = slotuferabstistvonlinks;
       this.glotrechtes = glotrechtes;
       this.slotrechtes = slotrechtes;
    }

     @Id


    @Column(name="MESSUNGID", unique=true, nullable=false, precision=11, scale=0)
    public long getMessungid() {
        return this.messungid;
    }

    public void setMessungid(long messungid) {
        this.messungid = messungid;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="STATIONID", nullable=false)
    public Station getStation() {
        return this.station;
    }

    public void setStation(Station station) {
        this.station = station;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="GSIEBSATZID")
    public Gsiebsatz getGsiebsatz() {
        return this.gsiebsatz;
    }

    public void setGsiebsatz(Gsiebsatz gsiebsatz) {
        this.gsiebsatz = gsiebsatz;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="GFAENGERID")
    public Gfaenger getGfaenger() {
        return this.gfaenger;
    }

    public void setGfaenger(Gfaenger gfaenger) {
        this.gfaenger = gfaenger;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="HPEILUNGID")
    public Hpeilung getHpeilung() {
        return this.hpeilung;
    }

    public void setHpeilung(Hpeilung hpeilung) {
        this.hpeilung = hpeilung;
    }

    @Temporal(TemporalType.DATE)
    @Column(name="DATUM", nullable=false, length=7)
    public Date getDatum() {
        return this.datum;
    }

    public void setDatum(Date datum) {
        this.datum = datum;
    }


    @Column(name="MPEILUNGID", precision=11, scale=0)
    public Long getMpeilungid() {
        return this.mpeilungid;
    }

    public void setMpeilungid(Long mpeilungid) {
        this.mpeilungid = mpeilungid;
    }


    @Column(name="MESSNR", nullable=false, precision=5, scale=0)
    public int getMessnr() {
        return this.messnr;
    }

    public void setMessnr(int messnr) {
        this.messnr = messnr;
    }


    @Column(name="FGUE", length=10)
    public String getFgue() {
        return this.fgue;
    }

    public void setFgue(String fgue) {
        this.fgue = fgue;
    }

    @Temporal(TemporalType.DATE)
    @Column(name="UHRVON", length=7)
    public Date getUhrvon() {
        return this.uhrvon;
    }

    public void setUhrvon(Date uhrvon) {
        this.uhrvon = uhrvon;
    }

    @Temporal(TemporalType.DATE)
    @Column(name="UHRBIS", length=7)
    public Date getUhrbis() {
        return this.uhrbis;
    }

    public void setUhrbis(Date uhrbis) {
        this.uhrbis = uhrbis;
    }


    @Column(name="WSPCM", precision=8, scale=1)
    public BigDecimal getWspcm() {
        return this.wspcm;
    }

    public void setWspcm(BigDecimal wspcm) {
        this.wspcm = wspcm;
    }


    @Column(name="Q_BPEGEL", precision=8, scale=3)
    public BigDecimal getQBpegel() {
        return this.QBpegel;
    }

    public void setQBpegel(BigDecimal QBpegel) {
        this.QBpegel = QBpegel;
    }


    @Column(name="WSPNN", precision=8, scale=3)
    public BigDecimal getWspnn() {
        return this.wspnn;
    }

    public void setWspnn(BigDecimal wspnn) {
        this.wspnn = wspnn;
    }


    @Column(name="IE", precision=6, scale=3)
    public BigDecimal getIe() {
        return this.ie;
    }

    public void setIe(BigDecimal ie) {
        this.ie = ie;
    }


    @Column(name="WTEMP", precision=4, scale=1)
    public BigDecimal getWtemp() {
        return this.wtemp;
    }

    public void setWtemp(BigDecimal wtemp) {
        this.wtemp = wtemp;
    }


    @Column(name="GBREITE", precision=8, scale=3)
    public BigDecimal getGbreite() {
        return this.gbreite;
    }

    public void setGbreite(BigDecimal gbreite) {
        this.gbreite = gbreite;
    }


    @Column(name="GBREITEVON", precision=8, scale=3)
    public BigDecimal getGbreitevon() {
        return this.gbreitevon;
    }

    public void setGbreitevon(BigDecimal gbreitevon) {
        this.gbreitevon = gbreitevon;
    }


    @Column(name="GBREITEBIS", precision=8, scale=3)
    public BigDecimal getGbreitebis() {
        return this.gbreitebis;
    }

    public void setGbreitebis(BigDecimal gbreitebis) {
        this.gbreitebis = gbreitebis;
    }


    @Column(name="TGESCHIEBE", precision=9, scale=3)
    public BigDecimal getTgeschiebe() {
        return this.tgeschiebe;
    }

    public void setTgeschiebe(BigDecimal tgeschiebe) {
        this.tgeschiebe = tgeschiebe;
    }


    @Column(name="TSAND", precision=9, scale=3)
    public BigDecimal getTsand() {
        return this.tsand;
    }

    public void setTsand(BigDecimal tsand) {
        this.tsand = tsand;
    }


    @Column(name="TSCHWEB", precision=9, scale=3)
    public BigDecimal getTschweb() {
        return this.tschweb;
    }

    public void setTschweb(BigDecimal tschweb) {
        this.tschweb = tschweb;
    }


    @Column(name="CSCHWEB", precision=8, scale=3)
    public BigDecimal getCschweb() {
        return this.cschweb;
    }

    public void setCschweb(BigDecimal cschweb) {
        this.cschweb = cschweb;
    }


    @Column(name="UFERLIABST", precision=8, scale=3)
    public BigDecimal getUferliabst() {
        return this.uferliabst;
    }

    public void setUferliabst(BigDecimal uferliabst) {
        this.uferliabst = uferliabst;
    }


    @Column(name="UFERREABST", precision=8, scale=3)
    public BigDecimal getUferreabst() {
        return this.uferreabst;
    }

    public void setUferreabst(BigDecimal uferreabst) {
        this.uferreabst = uferreabst;
    }


    @Column(name="Q", precision=8, scale=3)
    public BigDecimal getQ() {
        return this.q;
    }

    public void setQ(BigDecimal q) {
        this.q = q;
    }


    @Column(name="A_HPEIL", precision=6, scale=1)
    public BigDecimal getAHpeil() {
        return this.AHpeil;
    }

    public void setAHpeil(BigDecimal AHpeil) {
        this.AHpeil = AHpeil;
    }


    @Column(name="A_MPEIL", precision=6, scale=1)
    public BigDecimal getAMpeil() {
        return this.AMpeil;
    }

    public void setAMpeil(BigDecimal AMpeil) {
        this.AMpeil = AMpeil;
    }


    @Column(name="B", precision=8, scale=3)
    public BigDecimal getB() {
        return this.b;
    }

    public void setB(BigDecimal b) {
        this.b = b;
    }


    @Column(name="HM", precision=8, scale=3)
    public BigDecimal getHm() {
        return this.hm;
    }

    public void setHm(BigDecimal hm) {
        this.hm = hm;
    }


    @Column(name="VM", precision=6, scale=4)
    public BigDecimal getVm() {
        return this.vm;
    }

    public void setVm(BigDecimal vm) {
        this.vm = vm;
    }


    @Column(name="VSOHLE", precision=6, scale=4)
    public BigDecimal getVsohle() {
        return this.vsohle;
    }

    public void setVsohle(BigDecimal vsohle) {
        this.vsohle = vsohle;
    }


    @Column(name="TAU", precision=9, scale=4)
    public BigDecimal getTau() {
        return this.tau;
    }

    public void setTau(BigDecimal tau) {
        this.tau = tau;
    }


    @Column(name="TAUV", precision=9, scale=6)
    public BigDecimal getTauv() {
        return this.tauv;
    }

    public void setTauv(BigDecimal tauv) {
        this.tauv = tauv;
    }


    @Column(name="TEIL_Q", precision=8, scale=3)
    public BigDecimal getTeilQ() {
        return this.teilQ;
    }

    public void setTeilQ(BigDecimal teilQ) {
        this.teilQ = teilQ;
    }


    @Column(name="TEIL_A_HPEIL", precision=6, scale=1)
    public BigDecimal getTeilAHpeil() {
        return this.teilAHpeil;
    }

    public void setTeilAHpeil(BigDecimal teilAHpeil) {
        this.teilAHpeil = teilAHpeil;
    }


    @Column(name="TEIL_A_MPEIL", precision=6, scale=1)
    public BigDecimal getTeilAMpeil() {
        return this.teilAMpeil;
    }

    public void setTeilAMpeil(BigDecimal teilAMpeil) {
        this.teilAMpeil = teilAMpeil;
    }


    @Column(name="TEIL_B", precision=8, scale=3)
    public BigDecimal getTeilB() {
        return this.teilB;
    }

    public void setTeilB(BigDecimal teilB) {
        this.teilB = teilB;
    }


    @Column(name="TEIL_HM", precision=8, scale=3)
    public BigDecimal getTeilHm() {
        return this.teilHm;
    }

    public void setTeilHm(BigDecimal teilHm) {
        this.teilHm = teilHm;
    }


    @Column(name="TEIL_VM", precision=6, scale=4)
    public BigDecimal getTeilVm() {
        return this.teilVm;
    }

    public void setTeilVm(BigDecimal teilVm) {
        this.teilVm = teilVm;
    }


    @Column(name="TEIL_VSOHLE", precision=6, scale=4)
    public BigDecimal getTeilVsohle() {
        return this.teilVsohle;
    }

    public void setTeilVsohle(BigDecimal teilVsohle) {
        this.teilVsohle = teilVsohle;
    }


    @Column(name="TEIL_TAU", precision=9, scale=4)
    public BigDecimal getTeilTau() {
        return this.teilTau;
    }

    public void setTeilTau(BigDecimal teilTau) {
        this.teilTau = teilTau;
    }


    @Column(name="TEIL_TAUV", precision=9, scale=6)
    public BigDecimal getTeilTauv() {
        return this.teilTauv;
    }

    public void setTeilTauv(BigDecimal teilTauv) {
        this.teilTauv = teilTauv;
    }


    @Column(name="MITTELTYP", precision=1, scale=0)
    public Boolean getMitteltyp() {
        return this.mitteltyp;
    }

    public void setMitteltyp(Boolean mitteltyp) {
        this.mitteltyp = mitteltyp;
    }


    @Column(name="DM", precision=7, scale=3)
    public BigDecimal getDm() {
        return this.dm;
    }

    public void setDm(BigDecimal dm) {
        this.dm = dm;
    }


    @Column(name="SK", precision=8, scale=3)
    public BigDecimal getSk() {
        return this.sk;
    }

    public void setSk(BigDecimal sk) {
        this.sk = sk;
    }


    @Column(name="SO", precision=8, scale=3)
    public BigDecimal getSo() {
        return this.so;
    }

    public void setSo(BigDecimal so) {
        this.so = so;
    }


    @Column(name="U", precision=8, scale=3)
    public BigDecimal getU() {
        return this.u;
    }

    public void setU(BigDecimal u) {
        this.u = u;
    }


    @Column(name="D90", precision=7, scale=4)
    public BigDecimal getD90() {
        return this.d90;
    }

    public void setD90(BigDecimal d90) {
        this.d90 = d90;
    }


    @Column(name="D84", precision=7, scale=4)
    public BigDecimal getD84() {
        return this.d84;
    }

    public void setD84(BigDecimal d84) {
        this.d84 = d84;
    }


    @Column(name="D80", precision=7, scale=4)
    public BigDecimal getD80() {
        return this.d80;
    }

    public void setD80(BigDecimal d80) {
        this.d80 = d80;
    }


    @Column(name="D75", precision=7, scale=4)
    public BigDecimal getD75() {
        return this.d75;
    }

    public void setD75(BigDecimal d75) {
        this.d75 = d75;
    }


    @Column(name="D70", precision=7, scale=4)
    public BigDecimal getD70() {
        return this.d70;
    }

    public void setD70(BigDecimal d70) {
        this.d70 = d70;
    }


    @Column(name="D60", precision=7, scale=4)
    public BigDecimal getD60() {
        return this.d60;
    }

    public void setD60(BigDecimal d60) {
        this.d60 = d60;
    }


    @Column(name="D50", precision=7, scale=4)
    public BigDecimal getD50() {
        return this.d50;
    }

    public void setD50(BigDecimal d50) {
        this.d50 = d50;
    }


    @Column(name="D40", precision=7, scale=4)
    public BigDecimal getD40() {
        return this.d40;
    }

    public void setD40(BigDecimal d40) {
        this.d40 = d40;
    }


    @Column(name="D30", precision=7, scale=4)
    public BigDecimal getD30() {
        return this.d30;
    }

    public void setD30(BigDecimal d30) {
        this.d30 = d30;
    }


    @Column(name="D25", precision=7, scale=4)
    public BigDecimal getD25() {
        return this.d25;
    }

    public void setD25(BigDecimal d25) {
        this.d25 = d25;
    }


    @Column(name="D20", precision=7, scale=4)
    public BigDecimal getD20() {
        return this.d20;
    }

    public void setD20(BigDecimal d20) {
        this.d20 = d20;
    }


    @Column(name="D16", precision=7, scale=4)
    public BigDecimal getD16() {
        return this.d16;
    }

    public void setD16(BigDecimal d16) {
        this.d16 = d16;
    }


    @Column(name="D10", precision=7, scale=4)
    public BigDecimal getD10() {
        return this.d10;
    }

    public void setD10(BigDecimal d10) {
        this.d10 = d10;
    }


    @Column(name="DMIN", precision=7, scale=4)
    public BigDecimal getDmin() {
        return this.dmin;
    }

    public void setDmin(BigDecimal dmin) {
        this.dmin = dmin;
    }


    @Column(name="DURCHDMIN", precision=6, scale=3)
    public BigDecimal getDurchdmin() {
        return this.durchdmin;
    }

    public void setDurchdmin(BigDecimal durchdmin) {
        this.durchdmin = durchdmin;
    }


    @Column(name="DMAX", precision=7, scale=3)
    public BigDecimal getDmax() {
        return this.dmax;
    }

    public void setDmax(BigDecimal dmax) {
        this.dmax = dmax;
    }


    @Column(name="DURCHDMAX", precision=6, scale=3)
    public BigDecimal getDurchdmax() {
        return this.durchdmax;
    }

    public void setDurchdmax(BigDecimal durchdmax) {
        this.durchdmax = durchdmax;
    }


    @Column(name="N_GESCHIEB", nullable=false, precision=5, scale=0)
    public int getNGeschieb() {
        return this.NGeschieb;
    }

    public void setNGeschieb(int NGeschieb) {
        this.NGeschieb = NGeschieb;
    }


    @Column(name="N_VIELPKT", nullable=false, precision=5, scale=0)
    public int getNVielpkt() {
        return this.NVielpkt;
    }

    public void setNVielpkt(int NVielpkt) {
        this.NVielpkt = NVielpkt;
    }

    @Temporal(TemporalType.DATE)
    @Column(name="SYS_DATE", length=7)
    public Date getSysDate() {
        return this.sysDate;
    }

    public void setSysDate(Date sysDate) {
        this.sysDate = sysDate;
    }


    @Column(name="BEMERKUNG", length=240)
    public String getBemerkung() {
        return this.bemerkung;
    }

    public void setBemerkung(String bemerkung) {
        this.bemerkung = bemerkung;
    }

    @Temporal(TemporalType.DATE)
    @Column(name="LASTUPDATED", nullable=false, length=7)
    public Date getLastupdated() {
        return this.lastupdated;
    }

    public void setLastupdated(Date lastupdated) {
        this.lastupdated = lastupdated;
    }


    @Column(name="KM", precision=8, scale=3)
    public BigDecimal getKm() {
        return this.km;
    }

    public void setKm(BigDecimal km) {
        this.km = km;
    }


    @Column(name="GLOTABSTOFFSET", nullable=false, precision=8, scale=3)
    public BigDecimal getGlotabstoffset() {
        return this.glotabstoffset;
    }

    public void setGlotabstoffset(BigDecimal glotabstoffset) {
        this.glotabstoffset = glotabstoffset;
    }


    @Column(name="SLOTABSTOFFSET", nullable=false, precision=8, scale=3)
    public BigDecimal getSlotabstoffset() {
        return this.slotabstoffset;
    }

    public void setSlotabstoffset(BigDecimal slotabstoffset) {
        this.slotabstoffset = slotabstoffset;
    }


    @Column(name="GBREITEVONLINKS", precision=8, scale=3)
    public BigDecimal getGbreitevonlinks() {
        return this.gbreitevonlinks;
    }

    public void setGbreitevonlinks(BigDecimal gbreitevonlinks) {
        this.gbreitevonlinks = gbreitevonlinks;
    }


    @Column(name="GBREITEBISLINKS", precision=8, scale=3)
    public BigDecimal getGbreitebislinks() {
        return this.gbreitebislinks;
    }

    public void setGbreitebislinks(BigDecimal gbreitebislinks) {
        this.gbreitebislinks = gbreitebislinks;
    }


    @Column(name="GLOTUFERABSTISTVONLINKS", precision=1, scale=0)
    public Boolean getGlotuferabstistvonlinks() {
        return this.glotuferabstistvonlinks;
    }

    public void setGlotuferabstistvonlinks(Boolean glotuferabstistvonlinks) {
        this.glotuferabstistvonlinks = glotuferabstistvonlinks;
    }


    @Column(name="SLOTUFERABSTISTVONLINKS", precision=1, scale=0)
    public Boolean getSlotuferabstistvonlinks() {
        return this.slotuferabstistvonlinks;
    }

    public void setSlotuferabstistvonlinks(Boolean slotuferabstistvonlinks) {
        this.slotuferabstistvonlinks = slotuferabstistvonlinks;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="messung")
    public Set<Glotrechte> getGlotrechtes() {
        return this.glotrechtes;
    }

    public void setGlotrechtes(Set<Glotrechte> glotrechtes) {
        this.glotrechtes = glotrechtes;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="messung")
    public Set<Slotrechte> getSlotrechtes() {
        return this.slotrechtes;
    }

    public void setSlotrechtes(Set<Slotrechte> slotrechtes) {
        this.slotrechtes = slotrechtes;
    }
}
